classification
Title: PYTHONSTARTUP is not run by default when Idle is started
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE: exec IDLESTARTUP/PYTHONSTARTUP on restart
View: 5233
Assigned To: Nosy List: BreamoreBoy, asvetlov, brian.curtin, jvanpraag, kbk, r.david.murray, terry.reedy
Priority: normal Keywords:

Created on 2010-04-12 12:49 by jvanpraag, last changed 2014-06-09 21:08 by terry.reedy. This issue is now closed.

Messages (4)
msg102943 - (view) Author: John Van Praag (jvanpraag) Date: 2010-04-12 12:49
The PYTHONSTARTUP environment variable does not work--does not import the indicated startup file--when IDLE is started under Windows. I have tested under Windows XP SP2, and under Windows Vista Ultimate 64 bit.

The os.environ variable does list the startup file, but IDLE fails to run it.
msg102952 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-04-12 15:15
Believe it or not, this is the documented behavior of Idle on all platforms.  You have to specify -s to have PYTHONSTARTUP run.

See the last comment in Issue5594, and also the referenced issue 5233, which has a patch that apparently changes this behavior, although that isn't mentioned in that issue itself.

I'm making this a feature request for changing the default behavior, to see what people think.
msg220116 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-09 20:09
Terry what is your opinion on this?
msg220119 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-09 21:08
David, thank you for the research on related issues. #5233 explicitly includes this proposal: "The former effect of -s would now be the default,". So I am closing this as a partial duplicate.  I will explain here why I reject this.
History
Date User Action Args
2014-06-09 21:08:04terry.reedysetstatus: open -> closed
superseder: IDLE: exec IDLESTARTUP/PYTHONSTARTUP on restart
messages: + msg220119

resolution: duplicate
stage: resolved
2014-06-09 20:09:03BreamoreBoysetnosy: + BreamoreBoy, terry.reedy

messages: + msg220116
versions: + Python 3.5, - Python 3.2
2012-03-26 19:35:40asvetlovsetnosy: + asvetlov
2010-04-12 15:15:12r.david.murraysettype: behavior -> enhancement
title: PYTHONSTARTUP broken on Windows -> PYTHONSTARTUP is not run by default when Idle is started
components: - Windows

nosy: + r.david.murray, kbk
versions: + Python 3.2, - Python 3.1
messages: + msg102952
2010-04-12 14:13:56brian.curtinsetpriority: normal
nosy: + brian.curtin
components: + IDLE, Windows
2010-04-12 12:49:10jvanpraagcreate